<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("messag" . "e" => base64_decode("bWVzc2F" . "nZQ=="), "u" . "r" . "l" => base64_decode("dXJ" . "s"), "_4c510e5adc73685" . "60eb3dd6ed429e5c" . "5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3NfcmVzcG9uc2" . "UucGhw"), "_fe2579cea630be3ef73ecaa47a26a" . "59f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va2" . "1hcmtfYWRkZWQ="), "titl" . "e" => base64_decode("dGl" . "0bG" . "U="), "_a62d761f3e831f" . "f9d9da39f9c26ec" . "ddc" => base64_decode("Li4vY29tbW9uL2NvcmUucGh" . "w"), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_b93155ab570822d94" . "f80f2b49acbdcde" => base64_decode("dXJsZGVj" . "b2Rl"));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a62d761f3" . "e831ff9d9d" . "a39f9c26ec" . "ddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b93155ab570822d94f80f" . "2b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["ur" . "l"]));
    $title = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b93155ab57" . "0822d94f80f" . "2b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["t" . "i" . "t" . "l" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fe2579cea630be3ef73ecaa47a2" . "6a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["mess" . "age"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4c510e5adc7368560eb3dd6ed429" . "e5c5"];